BorderUIResource (Java Platform SE 8 )
Keywords: javax.swing.plaf.BorderUIResource class
Date: 2020-03-26

javax.swing.plaf

## Class BorderUIResource

- java.lang.Object
- - javax.swing.plaf.BorderUIResource

- All Implemented Interfaces:
    Serializable, Border, UIResource

      public class BorderUIResource
      extends Object
      implements Border, UIResource, Serializable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BorderUIResource.BevelBorderUIResource`
    `static class` | `BorderUIResource.CompoundBorderUIResource`
    `static class` | `BorderUIResource.EmptyBorderUIResource`
    `static class` | `BorderUIResource.EtchedBorderUIResource`
    `static class` | `BorderUIResource.LineBorderUIResource`
    `static class` | `BorderUIResource.MatteBorderUIResource`
    `static class` | `BorderUIResource.TitledBorderUIResource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BorderUIResource(Border delegate)` Creates a UIResource border object which wraps an existing Border instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Border` | `getBlackLineBorderUIResource()`
    `Insets` | `getBorderInsets(Component c)` Returns the insets of the border.
    `static Border` | `getEtchedBorderUIResource()`
    `static Border` | `getLoweredBevelBorderUIResource()`
    `static Border` | `getRaisedBevelBorderUIResource()`
    `boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderUIResource

          public BorderUIResource(Border delegate)

      Creates a UIResource border object which wraps an existing Border instance.
      Parameters:
        `delegate` - the border being wrapped

  - ### Method Detail

    - #### getEtchedBorderUIResource

          public static Border getEtchedBorderUIResource()

    - #### getLoweredBevelBorderUIResource

          public static Border getLoweredBevelBorderUIResource()

    - #### getRaisedBevelBorderUIResource

          public static Border getRaisedBevelBorderUIResource()

    - #### getBlackLineBorderUIResource

          public static Border getBlackLineBorderUIResource()

    - #### paintBorder

          public void paintBorder(Component c,
                                  Graphics g,
                                  int x,
                                  int y,
                                  int width,
                                  int height)

      Description copied from interface: `Border`
      Paints the border for the specified component with the specified position and size.
      Specified by:
        `paintBorder` in interface `Border`
      Parameters:
        `c` - the component for which this border is being painted
        `g` - the paint graphics
        `x` - the x position of the painted border
        `y` - the y position of the painted border
        `width` - the width of the painted border
        `height` - the height of the painted border

    - #### getBorderInsets

          public Insets getBorderInsets(Component c)

      Description copied from interface: `Border`
      Returns the insets of the border.
      Specified by:
        `getBorderInsets` in interface `Border`
      Parameters:
        `c` - the component for which this border insets value applies

    - #### isBorderOpaque

          public boolean isBorderOpaque()

      Description copied from interface: `Border`
      Returns whether or not the border is opaque. If the border is opaque, it is responsible for filling in it's own background when painting.
      Specified by:
        `isBorderOpaque` in interface `Border`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.